'use client'

import GuideList from "../guide-list";

interface Props {
  guideData: any;
  dataTitle: any;
}

export default function Guide({guideData, dataTitle}: Props) {
  return (
    <article id="guide" className="w-full py-5 px-5 xl:px-0 md:max-w-5xl lg:max-w-6xl mx-auto flex flex-col gap-5 lg:gap-10 text-center items-center scroll-mt-28">
        <hr className="w-full border-main" />
        <span className="tracking-widest text-xs text-main uppercase">{dataTitle}</span>
        <h2 className="text-main">Guidebook</h2>
        <div className="flex flex-nowrap md:flex-wrap lg:grid lg:grid-cols-3 gap-5 lg:gap-10 overflow-x-auto w-full lg:overflow-x-hidden">
          {guideData.map((guide: any, index: number) => (
            <GuideList guideData={guide} key={index} />
          ))}
          </div>
    </article>
  )
}
